## libkiwix 0.2.0

=== meson_options.txt ===
option('ctpp2-install-prefix', type : 'string', value : '',
  description : 'Prefix where ctpp libs has been installed')
option('android', type : 'boolean', value : false,
  description : 'Do we make a kiwix-lib for android')

=== debian/changelog ===
libkiwix (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #856552)

 -- Kunal Mehta <legoktm@member.fsf.org>  Wed, 18 Oct 2017 16:09:04 -0700

=== debian/control ===
Source: libkiwix
Priority: optional
Maintainer: Kunal Mehta <legoktm@member.fsf.org>
Build-Depends: debhelper (>= 10.3),
 meson,
 pkg-config,
 libzim-dev (>= 2.0.0),
 libicu-dev,
 liblzma-dev,
 libpugixml-dev,
 libctpp2-dev,
 libxapian-dev,
 zlib1g-dev
Standards-Version: 4.1.1
Section: libs
Homepage: https://github.com/kiwix/kiwix-lib
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libkiwix.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libkiwix.git/

Package: libkiwix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkiwix0 (= ${binary:Version}), ${misc:Depends}, python3
Description: library of common code for Kiwix (development)
 Kiwix is an offline Wikipedia reader. libkiwix provides the
 software core for Kiwix, and contains the code shared by all
 Kiwix ports (Windows, Linux, OSX, Android, etc.).
 .
 This package contains development files.

Package: libkiwix0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library of common code for Kiwix
 Kiwix is an offline Wikipedia reader. libkiwix provides the
 software core for Kiwix, and contains the code shared by all
 Kiwix ports (Windows, Linux, OSX, Android, etc.).

## libkiwix 3.1.1

=== debian/changelog ===
libkiwix (3.1.1-1build4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2020 19:50:35 +0100

libkiwix (3.1.1-1build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:33:10 +0100

libkiwix (3.1.1-1build2) focal; urgency=medium

  * No-change rebuild for ICU 65.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2020 15:06:49 +0100

libkiwix (3.1.1-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:59:42 +0100

libkiwix (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * Have libkiwix-dev depend upon libraries it Requires in kiwix.pc
  * Configure Salsa pipeline
  * Standards-Version: 4.3.0, no changes needed
  * Improve d/copyright

 -- Kunal Mehta <legoktm@debian.org>  Thu, 10 Jan 2019 19:48:41 -0800

libkiwix (3.0.3-1) experimental; urgency=medium

  * New upstream version 3.0.3 (Closes: #913506)
  * Update Vcs-* control fields for move to salsa.debian.org
  * Rename package for new soname
  * Update d/copyright
  * Set Rules-Requires-Root: no
  * Standards-Version: 4.2.1

 -- Kunal Mehta <legoktm@debian.org>  Sun, 11 Nov 2018 21:47:24 -0800

=== debian/control ===
Source: libkiwix
Priority: optional
Maintainer: Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper (>= 10.3),
 meson,
 pkg-config,
 libzim-dev (>= 4.0.0),
 libcurl4-gnutls-dev,
 libicu-dev,
 libgtest-dev,
 liblzma-dev,
 libpugixml-dev,
 libctpp2-dev,
 libxapian-dev,
 zlib1g-dev,
 ctpp2-utils
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/kiwix/kiwix-lib
Vcs-Git: https://salsa.debian.org/legoktm/libkiwix.git
Vcs-Browser: https://salsa.debian.org/legoktm/libkiwix
Rules-Requires-Root: no

Package: libkiwix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkiwix3 (= ${binary:Version}), ${misc:Depends}, python3, aria2,
 libzim-dev (>= 4.0.0),
 libicu-dev,
 libpugixml-dev,
 libcurl4-gnutls-dev,
 libxapian-dev
Description: library of common code for Kiwix (development)
 Kiwix is an offline Wikipedia reader. libkiwix provides the
 software core for Kiwix, and contains the code shared by all
 Kiwix ports (Windows, Linux, OSX, Android, etc.).
 .
 This package contains development files.

Package: libkiwix3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libkiwix0
Description: library of common code for Kiwix
 Kiwix is an offline Wikipedia reader. libkiwix provides the
 software core for Kiwix, and contains the code shared by all
 Kiwix ports (Windows, Linux, OSX, Android, etc.).

## libkiwix 9.3.1+dfsg

=== debian/changelog ===
libkiwix (9.3.1+dfsg-2) unstable; urgency=medium

  * Move aria2 dependency to runtime only

 -- Kunal Mehta <legoktm@debian.org>  Wed, 05 Aug 2020 13:52:53 -0700

libkiwix (9.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 9.3.1
  * Drop patches and man page merged upstream
  * Switch to debhelper compat 13, increase test timeout

 -- Kunal Mehta <legoktm@debian.org>  Sat, 18 Jul 2020 00:05:51 -0700

libkiwix (9.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 9.3.0
  * Drop patches merged upstream
  * Bump test timeout to 300 seconds for slower architectures
  * Include upstream patch needed to build kiwix
  * Fix compilation with libmicrohttpd v0.97.1 (Closes: #964495)

 -- Kunal Mehta <legoktm@debian.org>  Wed, 08 Jul 2020 18:12:32 -0700

libkiwix (9.2.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 02 Jul 2020 14:34:25 -0700

libkiwix (9.2.2+dfsg-2) experimental; urgency=medium

  * Pass -latomic for architectures that need it
  * Drop unnecessary byte_response.h patch
  * Standards-Version: 4.5.0, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Mon, 29 Jun 2020 00:24:03 -0700

libkiwix (9.2.2+dfsg-1) experimental; urgency=medium

  * New upstream version 9.2.2, repacked to remove jar files
  * Bump debhelper compat to 12
  * Add libmicrohttpd-dev build dependency and bump required
    libzim-dev version
  * Update package name for soname bump

 -- Kunal Mehta <legoktm@debian.org>  Thu, 11 Jun 2020 18:59:32 -0700

=== debian/control ===
Source: libkiwix
Priority: optional
Maintainer: Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper-compat (= 13),
 meson,
 pkg-config,
 libzim-dev (>= 6.1.8),
 libcurl4-gnutls-dev,
 libicu-dev,
 libgtest-dev,
 libkainjow-mustache-dev,
 liblzma-dev,
 libmicrohttpd-dev,
 libpugixml-dev,
 zlib1g-dev
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/kiwix/kiwix-lib
Vcs-Git: https://salsa.debian.org/legoktm/libkiwix.git
Vcs-Browser: https://salsa.debian.org/legoktm/libkiwix
Rules-Requires-Root: no

Package: libkiwix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkiwix9 (= ${binary:Version}), ${misc:Depends}, python3,
 libzim-dev (>= 6.0.0),
 libicu-dev,
 libpugixml-dev,
 libcurl4-gnutls-dev
Description: library of common code for Kiwix (development)
 Kiwix is an offline Wikipedia reader. libkiwix provides the
 software core for Kiwix, and contains the code shared by all
 Kiwix ports (Windows, Linux, OSX, Android, etc.).
 .
 This package contains development files.

Package: libkiwix9
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, aria2
Conflicts: libkiwix0, libkiwix3
Description: library of common code for Kiwix
 Kiwix is an offline Wikipedia reader. libkiwix provides the
 software core for Kiwix, and contains the code shared by all
 Kiwix ports (Windows, Linux, OSX, Android, etc.).

## libkiwix 9.4.1+dfsg

=== meson_options.txt ===
option('wrapper', type:'array', choices:['java', 'android'], value:[],
  description: 'The wrapper to generate.')

=== debian/changelog ===
libkiwix (9.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 9.4.1+dfsg

 -- Kunal Mehta <legoktm@debian.org>  Tue, 17 Nov 2020 13:05:23 -0800

libkiwix (9.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 9.4.0

 -- Kunal Mehta <legoktm@debian.org>  Fri, 28 Aug 2020 15:17:34 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkg-config,
- libzim-dev (>= 6.1.8),
+ libzim-dev (>= 6.3.0),
  libcurl4-gnutls-dev,
  libicu-dev,
  libgtest-dev,
@@ -25,10 +25,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkiwix9 (= ${binary:Version}), ${misc:Depends}, python3,
- libzim-dev (>= 6.0.0),
+ libzim-dev (>= 6.3.0),
  libicu-dev,
  libpugixml-dev,
- libcurl4-gnutls-dev
+ libcurl4-gnutls-dev,
+ libmicrohttpd-dev
 Description: library of common code for Kiwix (development)
  Kiwix is an offline Wikipedia reader. libkiwix provides the
  software core for Kiwix, and contains the code shared by all

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libkiwix-$1.tar.gz%" \
   https://github.com/kiwix/kiwix-lib/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libkiwix 9.4.1+dfsg-1+10.0trisquel2

=== debian/changelog ===
libkiwix (9.4.1+dfsg-1+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from debian stable as a kiwix dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Aug 2021 08:34:33 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_test:
#Prevent tests because of webserver failing
	#dh_auto_test -- -t 3

## libkiwix 10.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkg-config,
- libzim-dev (>= 6.3.0),
- libcurl4-gnutls-dev,
+ libzim-dev (>= 7.2.0),
+ libcurl4-openssl-dev,
  libicu-dev,
  libgtest-dev,
  libkainjow-mustache-dev,
@@ -13,9 +13,9 @@
  libmicrohttpd-dev,
  libpugixml-dev,
  zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
-Homepage: https://github.com/kiwix/kiwix-lib
+Homepage: https://github.com/kiwix/libkiwix
 Vcs-Git: https://salsa.debian.org/legoktm/libkiwix.git
 Vcs-Browser: https://salsa.debian.org/legoktm/libkiwix
 Rules-Requires-Root: no
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkiwix9 (= ${binary:Version}), ${misc:Depends}, python3,
+Depends: libkiwix10 (= ${binary:Version}), ${misc:Depends}, python3,
  libzim-dev (>= 6.3.0),
  libicu-dev,
  libpugixml-dev,
@@ -37,11 +37,11 @@
  .
  This package contains development files.
 
-Package: libkiwix9
+Package: libkiwix10
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, aria2
-Conflicts: libkiwix0, libkiwix3
+Conflicts: libkiwix0, libkiwix3, libkiwix9
 Description: library of common code for Kiwix
  Kiwix is an offline Wikipedia reader. libkiwix provides the
  software core for Kiwix, and contains the code shared by all

## libkiwix 10.0.0+dfsg

=== meson_options.txt ===
option('wrapper', type:'array', choices:['java', 'android'], value:[],
  description: 'The wrapper to generate.')
option('doc', type : 'boolean', value : false,
  description : 'Build the documentations.')

=== docs/requirements.txt ===
breathe
exhale
sphinx<4

=== debian/changelog ===
libkiwix (10.0.0+dfsg-2build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 19:06:30 +0100

libkiwix (10.0.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Wed, 02 Feb 2022 20:20:43 -0800

libkiwix (10.0.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Kunal Mehta ]
  * New upstream version 10.0.0
  * Upstream repository has moved to "libkiwix"
  * Switch to building with libcurl4-openssl-dev instead of gnutls

 -- Kunal Mehta <legoktm@debian.org>  Thu, 27 Jan 2022 00:41:48 -0800

## libkiwix 11.0.0

=== debian/changelog ===
libkiwix (11.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Sun, 31 Jul 2022 14:53:33 -0400

libkiwix (11.0.0-1) experimental; urgency=medium

  * New upstream version 11.0.0
  * Disable -Werror (Closes: #1012981)

 -- Kunal Mehta <legoktm@debian.org>  Mon, 25 Jul 2022 14:34:05 -0400

libkiwix (10.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 10.1.1+dfsg

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 May 2022 01:03:23 -0400

libkiwix (10.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 10.1.0, fixing CVE-2022-27920 (Closes: #1008483)
  * Use correct meson variable to fix cross compilation (Closes: #1001514)

 -- Kunal Mehta <legoktm@debian.org>  Wed, 30 Mar 2022 20:40:51 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libmicrohttpd-dev,
  libpugixml-dev,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Section: libs
 Homepage: https://github.com/kiwix/libkiwix
 Vcs-Git: https://salsa.debian.org/legoktm/libkiwix.git
@@ -24,8 +24,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkiwix10 (= ${binary:Version}), ${misc:Depends}, python3,
- libzim-dev (>= 6.3.0),
+Depends: libkiwix11 (= ${binary:Version}), ${misc:Depends}, python3,
+ libzim-dev (>= 7.2.0),
  libicu-dev,
  libpugixml-dev,
  libcurl4-gnutls-dev,
@@ -37,11 +37,11 @@
  .
  This package contains development files.
 
-Package: libkiwix10
+Package: libkiwix11
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, aria2
-Conflicts: libkiwix0, libkiwix3, libkiwix9
+Conflicts: libkiwix0, libkiwix3, libkiwix9, libkiwix10
 Description: library of common code for Kiwix
  Kiwix is an offline Wikipedia reader. libkiwix provides the
  software core for Kiwix, and contains the code shared by all

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libkiwix-$1.tar.gz%" \
   https://github.com/kiwix/libkiwix/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libkiwix 12.0.0

=== debian/changelog ===
libkiwix (12.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Sun, 23 Jul 2023 23:16:55 -0400

libkiwix (12.0.0-2) experimental; urgency=medium

  * Depend on libzim >= 8.1.1 (Closes: #1031681)
  * Add patch to build with c++14 (Closes: #1041123)

 -- Kunal Mehta <legoktm@debian.org>  Fri, 21 Jul 2023 23:09:27 -0400

libkiwix (12.0.0-1) experimental; urgency=medium

  * New upstream version 12.0.0

 -- Kunal Mehta <legoktm@debian.org>  Sat, 31 Dec 2022 16:32:07 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkg-config,
- libzim-dev (>= 7.2.0),
+ libzim-dev (>= 8.1.1),
  libcurl4-openssl-dev,
  libicu-dev,
  libgtest-dev,
@@ -24,8 +24,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkiwix11 (= ${binary:Version}), ${misc:Depends}, python3,
- libzim-dev (>= 7.2.0),
+Depends: libkiwix12 (= ${binary:Version}), ${misc:Depends}, python3,
+ libzim-dev (>= 8.1.0),
  libicu-dev,
  libpugixml-dev,
  libcurl4-gnutls-dev,
@@ -37,11 +37,10 @@
  .
  This package contains development files.
 
-Package: libkiwix11
+Package: libkiwix12
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, aria2
-Conflicts: libkiwix0, libkiwix3, libkiwix9, libkiwix10
 Description: library of common code for Kiwix
  Kiwix is an offline Wikipedia reader. libkiwix provides the
  software core for Kiwix, and contains the code shared by all

## libkiwix 12.1.1

=== docs/requirements.txt ===
breathe
exhale

=== debian/changelog ===
libkiwix (12.1.1-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 12:00:24 +0100

libkiwix (12.1.1-1) unstable; urgency=medium

  * New upstream version 12.1.1, which reverts the ABI breakage in
    kiwix::Downloader::getDownloadIds()

 -- Kunal Mehta <legoktm@debian.org>  Thu, 14 Sep 2023 22:09:49 +0530

libkiwix (12.1.0-1) unstable; urgency=medium

  * New upstream version 12.1.0
  * Update Vcs-* following move of packaging repository

 -- Kunal Mehta <legoktm@debian.org>  Mon, 11 Sep 2023 11:40:25 +0530

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Standards-Version: 4.6.0.1
 Section: libs
 Homepage: https://github.com/kiwix/libkiwix
-Vcs-Git: https://salsa.debian.org/legoktm/libkiwix.git
-Vcs-Browser: https://salsa.debian.org/legoktm/libkiwix
+Vcs-Git: https://salsa.debian.org/debian/libkiwix.git
+Vcs-Browser: https://salsa.debian.org/debian/libkiwix
 Rules-Requires-Root: no
 
 Package: libkiwix-dev

## libkiwix 14.0.0

=== meson_options.txt ===
option('static-linkage', type : 'boolean', value : false,
  description : 'Link statically with the dependencies.')
option('doc', type : 'boolean', value : false,
  description : 'Build the documentations.')

=== docs/requirements.txt ===
breathe
exhale
sphinx_rtd_theme

=== debian/changelog ===
libkiwix (14.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reupload to unstable. (Closes: #1062392)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Jan 2025 22:53:47 +0100

libkiwix (14.0.0-1) experimental; urgency=medium

  * New upstream version 14.0.0

 -- Kunal Mehta <legoktm@debian.org>  Fri, 20 Dec 2024 22:44:34 -0800

libkiwix (13.1.0-1) experimental; urgency=medium

  * New upstream version 13.1.0

 -- Kunal Mehta <legoktm@debian.org>  Tue, 26 Mar 2024 23:22:08 -0400

libkiwix (13.0.0-1) experimental; urgency=medium

  * New upstream version 13.0.0
  * Update packaging for soname change

 -- Kunal Mehta <legoktm@debian.org>  Sun, 17 Sep 2023 20:59:48 +0530

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 13),
  meson,
- pkg-config,
- libzim-dev (>= 8.1.1),
+ pkgconf,
+ libzim-dev (>= 9.0.0),
  libcurl4-openssl-dev,
  libicu-dev,
  libgtest-dev,
  libkainjow-mustache-dev,
- liblzma-dev,
  libmicrohttpd-dev,
  libpugixml-dev,
  zlib1g-dev
@@ -24,12 +23,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkiwix12 (= ${binary:Version}), ${misc:Depends}, python3,
- libzim-dev (>= 8.1.0),
+Depends: libkiwix14 (= ${binary:Version}), ${misc:Depends}, python3,
+ libzim-dev (>= 9.0.0),
  libicu-dev,
  libpugixml-dev,
  libcurl4-gnutls-dev,
- libmicrohttpd-dev
+ libmicrohttpd-dev,
+ zlib1g-dev
 Description: library of common code for Kiwix (development)
  Kiwix is an offline Wikipedia reader. libkiwix provides the
  software core for Kiwix, and contains the code shared by all
@@ -37,7 +37,7 @@
  .
  This package contains development files.
 
-Package: libkiwix12
+Package: libkiwix14
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, aria2

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dwerror=false

override_dh_auto_test:
	dh_auto_test -- -t 3
